/*********************************************
* Chip type           : ATMEGA16
* Clock frequency     : clock 16 MHz
*********************************************/

#define F_CPU 16000000

#include <avr/io.h>
#include <avr/sleep.h>
#include <avr/delay.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <inttypes.h>
#include <string.h>
#include <stdlib.h>

#include "disp.h"
#include "lcd.h"

int main(void)
{
  char txt[]= "Hello World";

  /* INITIALIZE */
  lcd_init();

  set_sleep_mode(0);

  lcd_clrscr(LCD_BLUE);
  for (uint8_t i=0 ; txt[i] != 0; i++)
     put_char((DISP_W - strlen(txt) * 8)/2 + i*CHAR_W, 60,txt[i],0,LCD_WHITE,LCD_BLUE);   // 0 deg. rotated

  sleep_mode();
  return(0);      
}

